本文档详细介绍了 WordPress REST API 中导航(Navigation)端点的架构和使用方法。涵盖导航记录的 Schema 定义、CRUD 操作(列表、创建、检索、更新、删除)及其相关参数,为开发者提供完整的 API 参考。
// 列出导航的示例请求
$ curl https://example.com/wp-json/wp/v2/navigation
// 检索特定导航的示例请求
$ curl https://example.com/wp-json/wp/v2/navigation/<id>
// 删除导航的示例请求
$ curl -X DELETE https://example.com/wp-json/wp/v2/navigation/<id> The schema defines all the fields that exist within a navigation record. Any response from these endpoints can be expected to contain the fields below unless the `_filter` query parameter is used or the schema field only appears in a specific context.
date
|
The date the post was published, in the site's timezone.
JSON data type: string or null, Context: |
date_gmt
|
The date the post was published, as GMT.
JSON data type: string or null, Context: |
guid
|
The globally unique identifier for the post.
JSON data type: object Read only Context: |
id
|
Unique identifier for the post.
JSON data type: integer Read only Context: |
link
|
URL to the post.
JSON data type: string, Read only Context: |
modified
|
The date the post was last modified, in the site's timezone.
JSON data type: string, Read only Context: |
modified_gmt
|
The date the post was last modified, as GMT.
JSON data type: string, Read only Context: |
slug
|
An alphanumeric identifier for the post unique to its type.
JSON data type: string Context: |
status
|
A named status for the post.
JSON data type: string Context: One of: |
type
|
Type of post.
JSON data type: string Read only Context: |
password
|
A password to protect access to the content and excerpt.
JSON data type: string Context: |
title
|
The title for the post.
JSON data type: object Context: |
content
|
The content for the post.
JSON data type: object Context: |
template
|
The theme file to use to display the post.
JSON data type: string Context: |
Query this endpoint to retrieve a collection of navigations. The response you receive can be controlled and filtered using the URL query parameters below.
GET /wp/v2/navigation
$ curl https://example.com/wp-json/wp/v2/navigation
context
|
Scope under which the request is made; determines fields present in response.
Default: One of: |
page
|
Current page of the collection.
Default: |
per_page
|
Maximum number of items to be returned in result set.
Default: |
search
|
Limit results to those matching a string. |
after
|
Limit response to posts published after a given ISO8601 compliant date. |
modified_after
|
Limit response to posts modified after a given ISO8601 compliant date. |
before
|
Limit response to posts published before a given ISO8601 compliant date. |
modified_before
|
Limit response to posts modified before a given ISO8601 compliant date. |
exclude
|
Ensure result set excludes specific IDs. |
include
|
Limit result set to specific IDs. |
offset
|
Offset the result set by a specific number of items. |
order
|
Order sort attribute ascending or descending.
Default: One of: |
orderby
|
Sort collection by post attribute.
Default: One of: |
search_columns
|
Array of column names to be searched. |
slug
|
Limit result set to posts with one or more specific slugs. |
status
|
Limit result set to posts assigned one or more statuses.
Default: |
<a href="#schema-date">date</a>
|
The date the post was published, in the site's timezone. |
<a href="#schema-date_gmt">date_gmt</a>
|
The date the post was published, as GMT. |
<a href="#schema-slug">slug</a>
|
An alphanumeric identifier for the post unique to its type. |
<a href="#schema-status">status</a>
|
A named status for the post. One of: publish, future, draft, pending, private
|
<a href="#schema-password">password</a>
|
A password to protect access to the content and excerpt. |
<a href="#schema-title">title</a>
|
The title for the post. |
<a href="#schema-content">content</a>
|
The content for the post. |
<a href="#schema-template">template</a>
|
The theme file to use to display the post. |
POST /wp/v2/navigation
GET /wp/v2/navigation/<id>
Query this endpoint to retrieve a specific navigation record.
$ curl https://example.com/wp-json/wp/v2/navigation/<id>
id
|
Unique identifier for the post. |
context
|
Scope under which the request is made; determines fields present in response.
Default: One of: |
password
|
The password for the post if it is password protected. |
<a href="#schema-id">id</a>
|
Unique identifier for the post. |
<a href="#schema-date">date</a>
|
The date the post was published, in the site's timezone. |
<a href="#schema-date_gmt">date_gmt</a>
|
The date the post was published, as GMT. |
<a href="#schema-slug">slug</a>
|
An alphanumeric identifier for the post unique to its type. |
<a href="#schema-status">status</a>
|
A named status for the post. One of: publish, future, draft, pending, private
|
<a href="#schema-password">password</a>
|
A password to protect access to the content and excerpt. |
<a href="#schema-title">title</a>
|
The title for the post. |
<a href="#schema-content">content</a>
|
The content for the post. |
<a href="#schema-template">template</a>
|
The theme file to use to display the post. |
POST /wp/v2/navigation/<id>
id
|
Unique identifier for the post. |
force
|
Whether to bypass Trash and force deletion. |
DELETE /wp/v2/navigation/<id>
$ curl -X DELETE https://example.com/wp-json/wp/v2/navigation/<id>